kdump-tools (1:1.8.1ubuntu1.1) mantic; urgency=medium

  * Disable the initramfs generation in our kernel-postinst hook when
    we detect we are running in a chroot. LP: #2043059.

 -- dann frazier <dannf@ubuntu.com>  Thu, 01 Feb 2024 07:33:05 -0700

kdump-tools (1:1.8.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Mon, 02 Jan 2023 11:09:03 -0700

kdump-tools (1:1.8.1) unstable; urgency=medium

  * kdump-config: Add double quotes to address shellcheck SC2086,
    fixing FTBFS. (Closes: #1027573)
  * Pass "usbcore.nousb" to the crash kernel instead of "nousb".
    (Closes: #922705)

 -- dann frazier <dannf@debian.org>  Sun, 01 Jan 2023 10:53:45 -0700

kdump-tools (1:1.8ubuntu2) lunar; urgency=medium

  * Modifed ucf call in d/kdump-tools.postinst to use option
    '--debconf-ok' to fix a package install issue (LP: #1982582). 

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 23 Nov 2022 19:40:57 +0100

kdump-tools (1:1.8ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Fri, 05 Aug 2022 14:08:38 -0600

kdump-tools (1:1.8) unstable; urgency=medium

  [ Qi Zheng ]
  * kdump-config: remove redundant sync command [in ssh mode].
  * kdump-config: introduce dump_dmesg() helper.
  * kdump-config: dump the dmesg buffer in advance.

 -- dann frazier <dannf@debian.org>  Thu, 04 Aug 2022 15:28:51 -0600

kdump-tools (1:1.7ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Fri, 10 Jun 2022 07:55:51 -0600

kdump-tools (1:1.7) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools.service: Start kdump service a bit earlier in boot.

  [ Kellen Renshaw ]
  * rules: Remove "ata_piix.prefer_ms_hyperv=0" (Closes: #1011960).

 -- dann frazier <dannf@debian.org>  Thu, 09 Jun 2022 15:29:58 -0600

kdump-tools (1:1.6.10ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - Update default s390x crashkernel.
      - Install the updated zipl.conf with ucf, so users will be able to
        decide whether to pick any crashkernel changes.

 -- dann frazier <dannf@ubuntu.com>  Thu, 24 Mar 2022 11:42:57 -0600

kdump-tools (1:1.6.10) unstable; urgency=medium

  * kdump-config: Fix FTBFS due to new shellcheck warning (Closes: #1002270).

 -- dann frazier <dannf@debian.org>  Wed, 22 Dec 2021 08:38:12 -0700

kdump-tools (1:1.6.9ubuntu2) jammy; urgency=low

  * Update default s390x crashkernel.
    - Install the updated zipl.conf with ucf, so users will be able to
      decide whether to pick any crashkernel changes. (LP: #1877533).

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 02 Dec 2021 15:13:23 -0300

kdump-tools (1:1.6.9ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
  * Restore shellcheck ignore directives for retired SC2039, which is not
    yet retired in impish's shellcheck.

 -- dann frazier <dannf@ubuntu.com>  Tue, 24 Aug 2021 11:37:38 -0600

kdump-tools (1:1.6.9) unstable; urgency=medium

  [ Benjamin Drung ]
  * kdump-config: Fix indentation.
  * Fix shellcheck "backslash is literal".
  * kernel-postinst: Correct indentation.
  * kernel-postinst: Use "set -eu"
  * kernel-postinst: Honor exit codes of cp/rm/mkdir
  * kernel-postinst: Only switch MODULES from "most" to "dep"
  * kernel-postinst: Support /etc/initramfs-tools/conf.d

  [ dann frazier ]
  * Demote relationship with makedumpfile from Depends to Recommends
    (Closes: #865701).
  * Add spanish translation for debconf template, thanks to Camaleón.
    (Closes: #987520).
  * Drop shellcheck autopkgtest (Closes: #992799).
  * Drop shellcheck ignore directives for retired SC2039.
  * Ignore shellcheck SC3043, "In POSIX sh, local is undefined", as
    "local" support is mandated by Debian policy (v4.6.0.1, section 10.4).

 -- dann frazier <dannf@debian.org>  Mon, 23 Aug 2021 17:02:58 -0600

kdump-tools (1:1.6.8.4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Fri, 23 Jul 2021 09:00:16 -0600

kdump-tools (1:1.6.8.4) unstable; urgency=medium

  [ Benjamin Drung ]
  * Fix broken status log messages when dumping w/ FTP (Closes: #991412).

  [ dann frazier ]
  * Add /var/lib/kdump to debian/kdump-tools.dirs to avoid errors
    creating the initial set of boot file symlinks (Closes: #991175).

 -- dann frazier <dannf@debian.org>  Thu, 22 Jul 2021 15:18:37 -0600

kdump-tools (1:1.6.8.3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Tue, 23 Mar 2021 08:49:04 -0600

kdump-tools (1:1.6.8.3) unstable; urgency=medium

  * kdump-config: Fix storage of local/NFS dump files
    (Closes: #985716) (LP: #1920759).

 -- dann frazier <dannf@debian.org>  Mon, 22 Mar 2021 21:39:59 -0600

kdump-tools (1:1.6.8.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Mon, 08 Feb 2021 12:49:19 -0700

kdump-tools (1:1.6.8.2) unstable; urgency=medium

  * debian/control: Add Vcs-* tags.
  * Support compressing the core file at dump time (Closes: #856960).
    Thanks to Benjamin Drung!
  * kdump-config: Allow running in an initrd, thanks to Benjamin Drung.

 -- dann frazier <dannf@debian.org>  Mon, 01 Feb 2021 13:35:59 -0700

kdump-tools (1:1.6.8.1) unstable; urgency=medium

  * Split kdump-tools into its own source package.
  * Change maintainer to Debian Kdump team. Thanks to Louis Bouchard for
    all of his years of work maintaining this package!

 -- dann frazier <dannf@debian.org>  Mon, 18 Jan 2021 07:48:47 -0700

makedumpfile (1:1.6.8-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- dann frazier <dannf@ubuntu.com>  Mon, 28 Dec 2020 09:42:26 -0700

makedumpfile (1:1.6.8-2) unstable; urgency=medium

  * systemd: Use journal for StandardOutput instead of syslog, which
    is deprecated. Thanks to Bryan Quigley. (Closes: #969013)

 -- dann frazier <dannf@debian.org>  Sun, 27 Dec 2020 08:44:02 -0700

makedumpfile (1:1.6.8-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 08:09:38 +0100

makedumpfile (1:1.6.8-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add Homepage field pointing to GitHub page
  * kdump-tools.default: Remove trailing spaces, replace tabs by spaces, and
    remove duplicate settings (Closes: #856935)
  * Fix cleanup if mkinitramfs fails on kernel update
  * Fix all shellcheck issues in Shell scripts
  * Run shellcheck on package build and autopkgtest
  * Add support for FTP uploads (Closes: #856957)
  * Replace bsdmainutils by bsdextrautils (Closes: #964516)
  * Use POSIX shell instead of bash
  * Bump Standards-Version to 4.5.1

  [ dann frazier ]
  * Support dumping kernel via both SSH and NFS
  * Update to new upstream version 1.6.8.

 -- dann frazier <dannf@debian.org>  Tue, 01 Dec 2020 08:34:43 -0700

makedumpfile (1:1.6.7-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Aug 2020 10:53:22 +0200

makedumpfile (1:1.6.7-4) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools: Remove KDUMP_SYSCTL for good
  * kdump-tools: Add sysctl override mechanism
  * kdump-tools: Cope with the lack of initramfs-tools OPTION=VAR feature in Debian

  [ Thadeu Lima de Souza Cascardo ]
  * Add proper dependencies to DEP8 tests

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 04 Aug 2020 17:21:46 -0300

makedumpfile (1:1.6.7-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 13:49:38 +0200

makedumpfile (1:1.6.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1:1.6.4-1, 1:1.6.3-1, 1:1.6.2-
    0.1, 1:1.6.1-1, 1:1.6.0-1, 1:1.5.9-6, 1:1.5.9-1, 1.5.5-2.
  * Fix day-of-week for changelog entry 1:1.5.9-6.

  [ Thadeu Lima de Souza Cascardo ]
  * Fix build with GCC 10 (Closes: #957518)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 28 Jul 2020 21:40:32 -0300

makedumpfile (1:1.6.7-2) unstable; urgency=medium

  * Remove upstart support.
  * Switch to debhelper-compat 12.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 17 Apr 2020 14:12:04 -0300

makedumpfile (1:1.6.7-1ubuntu3) groovy; urgency=medium

  * d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    - Fixing arm64 systems makedumpfile looping forever exhausting
      all memory when filtering kernel core.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 14:36:01 +0100

makedumpfile (1:1.6.7-1ubuntu2) focal; urgency=low

  * debian/control/tests: sleep while waiting for systemd service.
    Also, exit in case the service is not successfully started, and dump
    status output for debugging.
    This is necessary because now that the initrd is not generated during
    postinst, it will be generated when the service is first started, and that
    may delay it for a few seconds.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 17 Mar 2020 16:40:38 -0300

makedumpfile (1:1.6.7-1ubuntu1) focal; urgency=low

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

  [ Dan Streetman ]
  * FeatureFreeze exception note:
    I checked upstream log from 1.6.6-1.6.7 and confirmed this is bugfix-only

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 13 Mar 2020 10:25:32 -0400

makedumpfile (1:1.6.7-1) unstable; urgency=medium

  * Update to new upstream version 1.6.7.
  * Skip initrd generation during postinst. (Closes: #856594)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 02 Mar 2020 04:48:06 -0300

makedumpfile (1:1.6.6-4ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:59 +0000

makedumpfile (1:1.6.6-4ubuntu2) focal; urgency=medium

  * x86_64: Fix an error due to makedumpfile being out-of-sync with recent
    kernels. To achieve that, add the following patch: "Increase
    SECTION_MAP_LAST_BIT to 4". (LP: #1857616)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Fri, 03 Jan 2020 16:57:00 -0300

makedumpfile (1:1.6.6-4ubuntu1) focal; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Use reset_devices as a cmdline parameter. (LP: #1800566)
  * Use kdump-config reload after cpu or memory hotplug. (LP: #1828596)

  [ Guilherme G. Piccoli ]
  * Add a systemd-resolved service dependency in order kdump-tools is able
    to resolve DNS when in kdump boot. (LP: #1856323)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 14:38:51 -0300

makedumpfile (1:1.6.6-4) unstable; urgency=medium

  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)
  * kdump-config: implement try-reload
  * udev: hotplug: use try-reload
  * Set Rules-Requires-Root to no

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Dec 2019 10:50:47 -0300

makedumpfile (1:1.6.6-3) unstable; urgency=medium

  * Add a reload command.
  * Use kdump-config reload after cpu or memory hotplug.
  * Use reset_devices as a cmdline parameter.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 18 Sep 2019 01:00:16 +0000

makedumpfile (1:1.6.6-2ubuntu1) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Add kdump retry/delay mechanism when dumping over network (LP: #1681909)
  * Allow proper reload of kdump after multiple hotplug events. (LP: #1828596)

  [ Connor Kuehl ]
  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 06 Aug 2019 12:18:15 -0300

makedumpfile (1:1.6.6-2) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * Add kdump retry/delay mechanism when dumping over network

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump.
  * Use maxcpus instead of nr_cpus on ppc64el.
  * Reload kdump when CPU is brought online.
  * Allow proper reload of kdump after multiple hotplug events.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 20 Jul 2019 11:25:01 -0300

makedumpfile (1:1.6.6-1) unstable; urgency=medium

  * Update to new upstream version 1.6.6.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 12 Jul 2019 16:24:14 -0300

makedumpfile (1:1.6.5-1ubuntu3) eoan; urgency=medium

  * debian/kdump-config.in:
    - Add kdump retry/delay mechanism when dumping over network.
      (LP: #1681909)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Thu, 04 Jul 2019 15:20:53 -0300

makedumpfile (1:1.6.5-1ubuntu2) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Use maxcpus instead of nr_cpus on ppc64el. (LP: #1828597)
  * Reload kdump when CPU is brought online. (LP: #1828596)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 14 Jun 2019 10:58:40 -0300

makedumpfile (1:1.6.5-1ubuntu1) disco; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.

  [ Thadeu Lima de Souza Cascardo ]
  * Use a different service for vmcore dump. (LP: #1811692)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 14 Jan 2019 15:42:44 -0200

makedumpfile (1:1.6.5-1) unstable; urgency=medium

  * Update to new upstream version 1.6.5.
  * debian: remove debian/source/local-options
  * [i18n] Move PT debconf translation (Closes: #910465)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 05 Jan 2019 09:01:02 -0200

makedumpfile (1:1.6.4-3) unstable; urgency=medium

  * Reload kdump after memory/CPU hotplug. (LP: #1655280)
  * Fix adding crashkernel to zipl.conf when no quotation mark is used.
    (LP: #1790788)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 16 Oct 2018 15:30:16 -0300

makedumpfile (1:1.6.4-2ubuntu1) cosmic; urgency=medium

  * Bump amd64 crashkernel from 384M-:128M to 512M-:196M. Other
    arches, like arm64 & ppc64el already use much higher minimum
    threshold of 2G. This needs to be revisited post release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Oct 2018 10:36:36 +0200

makedumpfile (1:1.6.4-2) unstable; urgency=medium

  * Ignore uninstalled kernels when doing the kernel postinst. (Closes: #904524)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Thu, 26 Jul 2018 10:02:40 -0300

makedumpfile (1:1.6.4-1) unstable; urgency=medium

  * New upstream release. Main new features:
    o 5-level paging support
      - 5-level paging on x86_64 system is supported from this version.

    o --mem-usage support for arm64
      - The makedumpfile --mem-usage option is now supported on arm64 system.
        And the option was also tested on ppc64 and s390x by Bhupesh Sharma.

    o Support new kernels
      - The supported kernel is updated to 4.17.0 in this version.

  * Changelog:
    o New feature
      - [PATCH v2 0/3] arm64: Add '--mem-usage' support (Bhupesh Sharma) f49ca13
      - [PATCH v2 1/3] Add a new helper file 'tools.c' that provides some useful
        APIs (Bhupesh Sharma) 4d86cc7
      - [PATCH v2 2/3] arm64: Add support to read symbols like _stext from
        '/proc/kallsyms' (Bhupesh Sharma) d1e7805
      - [PATCH v2 3/3] Documentation: Update documentation regarding
        --mem-usage' option (Bhupesh Sharma) 8449bda
      - [PATCH 0/4] Add 5-level paging support (Baoquan He) 342fdab
      - [PATCH 2/4] Add pgtable_l5_enabled to number_table (Baoquan He) 8ae6f36
      - [PATCH 3/4] Add a new function check_5level_paging() (Baoquan He)
        33ca808
      - [PATCH 4/4] arch/x86_64: Add 5-level paging support (Dou Liyang) 30a3214
      - [PATCH] handle mem_section as either a pointer or an array (Thadeu Lima
        de Souza Cascardo) 14876c4
      - [PATCH] ppc64: Increase the VA range (Hari Bathini) bd1ae9c

    o Bugfix
      - [PATCH] sadump: Fix a problem of PTI enabled kernel (Takao Indoh)
        38de12a
      - [PATCH] Fix a bug when multi-threads feature meets enospace (Zhou
        Wenjian) 63b05c9
      - [PATCH] Fix array index out of bound exception (Lianbo Jiang) e5f96e7
      - [PATCH] fix for hugepages filtering (Hari Bathini) 246801c
      - [PATCH v2] Use integer arithmetics for the progress bar (Petr Tesarik)
        c6b79cb
      - [PATCH 2/2] Check PG_swapbacked for swap cache pages (Petr Tesarik)
        ca1f31e
      - [PATCH] Fix -g for change of mem_section (Kazuhito Hagio) f3c87e0
      - [PATCH] Fix -i for KASLR (Kazuhito Hagio) 08db98c
      - [PATCH] Fix validate_mem_section() (Kazuhito Hagio) 8f1aafa
      - [PATCH] arm64: Fix calculation of page_offset in case we are running
        cases other than mem-usage (Bhupesh Sharma) cb7af5f

    o Cleanup
      - [PATCH v2] Always use bigger SECTION_MAP_MASK (Petr Tesarik) 6c6789f
      - [PATCH 1/2] Add is_cache_page() helper to check if a page belongs to the
        cache (Petr Tesarik) 694f28c
      - [PATCH 1/4] arch/x86_64: Cleanup the address translation of the 4-level
        page tables (Dou Liyang) acab2a2
      - [PATCH] Fix some compilation warnings on x86 system (Kazuhito Hagio)
        2148e43
      - [PATCH] Update maintainers (Masaki Tachibana) bc7420b

  * Remove 0003-sparsemem_extreme.patch, applied upstream.
  * Update pt_PT debconf translation, thanks Rui Branco. (Closes: #898280)
  * Update ru debconf translation, thanks Lev Lamberov. (Closes: #883139)
  * Update da debconf translation, thanks Joe Dalton. (Closes: #856784)
  * Make ADT check for systemd service.
  * Skip test if crashkernel was not reserved.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Thu, 19 Jul 2018 16:34:06 -0300

makedumpfile (1:1.6.3-2) unstable; urgency=medium

  * Add support for SPARSEMEM_EXTREME mem_section as a pointer. (LP: #1750021)
  * Add an autopkgtest that test that a crash produces a compressed dump
    file.
  * Create initrd for previously installed kernels. (LP: #1751329)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 05 Mar 2018 09:28:55 -0300

makedumpfile (1:1.6.3-1) unstable; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.14.8 in this version. (LP: #1746299)
       4.14.9 and later can't be filtered correctly due to inappropriate
       VMCOREINFO, it will be resolved in kernel 4.15.

  * Changelog:
    o New feature
        - [PATCH v2] x86_64: Take care of init_level4_pgt rename in kernel (by
          Pratyush Anand) 64bd5db
        - [PATCH v2] Fix SECTION_MAP_MASK for kernel >= v.13 (by Pratyush Anand)
          4bf4f2b
        - [PATCH v2] book3s/ppc64: Lower the max real address to 53 bits for
          kernels >= v4.11 (by Bhupesh Sharma) 6c83e74
        - [PATCH v3 1/4] Support symbol __cpu_online_mask (by Takao Indoh)
          3b11c00
        - [PATCH] ppc64: update hash page table geometry (by Hari Bathini)
          3c39f13
        - [PATCH] handle renamed init_level4_pgt -> init_top_pgt (by Jeff
          Mahoney) 5e54d53

    o Bugfix
        - [PATCH v2] arm64: Fix page table walk of 1GB section (by Bradley
          Bolen) 27508f1
        - [PATCH v2 1/2] ppc64: set page_offset in get_versiondep_info_ppc64()
          (by Pingfan Liu) 52319d2
        - [PATCH v2 2/2] ppc64: get the info of mem reserved for crashkernel (by
          Pingfan Liu) c7fcbbc
        - [PATCH v3 3/4] sadump: Fix a KASLR problem of sadump (by Takao Indoh)
          b4f7d95
        - [PATCH v3 4/4] sadump: Fix a KASLR problem of sadump while kdump is
          working (by Takao Indoh) 13d3059
        - [PATCH 2/2] Fix 'kernel_version' variable being uninitialized &
          introduce minor reorganization (by Bhupesh Sharma) d1ffe82
        - [PATCH 1/2] Fix off-by-one errors in exclude_segment() (by Petr
          Tesarik) 590f35e
        - [PATCH 2/2] Fix physical-to-virtual conversion in exclude_segment()
          (by Petr Tesarik) 6c1bf2a

    o Cleanup
        - [PATCH] Fix formatting problems in header file (by Eric DeVolder)
          cefea9e
        - [PATCH v3 2/4] Introduce vtop4_x86_64_pagetable (by Takao Indoh)
          6de5d37
        - [PATCH 1/2] Fix compilation warnings on ppc64/ppc64le platforms (by
          Bhupesh Sharma) 0df157a
        - [PATCH] Make good use of is_cyclic_region() (by Atsushi Kumagai)
          6bfd7a3
        - [PATCH] Fix the regression about getting kernel version (by Atsushi
          Kumagai) 254c116
        - [PATCH] Update maintainers (by Atsushi Kumagai) 9d3147e

  * Use multi-user.target. (LP: #1708409)
  * kdump-tools Recommends initramfs-tools-core.
  * Add myself as uploader.
  * Move Vcs control fields to salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 06 Feb 2018 12:53:14 -0200

makedumpfile (1:1.6.2-2) unstable; urgency=medium

  [ dann frazier ]
  * Make the kdump kernel cmdline consistent in comments, code & docs.
  * Set reasonable default cmdlines for arm64.  (Closes: 883899)
  * ppc64el: Remove ata_piix.prefer_ms_hyperv=0 from crashkernel cmdline
  * ppc64el: add noirqdistrib to command line. (LP: #1658733)
  * Add myself to Uploaders.
  * Build-Depend on debhelper (>= 9.20160709) instead of dh-systemd,
    which is obsolete. Thanks lintian.

  [ Thadeu Lima de Souza Cascardo ]
  * Set crashkernel for ppc64el to load at 128M instead of 32M. That allows
    larger kernels to boot. (LP: #1728115)

 -- dann frazier <dannf@debian.org>  Fri, 12 Jan 2018 08:47:19 -0700

makedumpfile (1:1.6.2-1) unstable; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Add ucf support

    /etc/default/kdump-tools was already changed by the maintainer script,
    so it should not be a conffile. ucf allows the maintainer scripts to ask
    the user about changes done by the user to the config file.

    Invoking debconf first in the script is desired, because the frontend
    might exec and invoke the script itself again. Also, we install the
    generated file instead of the original file, as we will replace some of
    the settings.  (Closes: 877250)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 01 Nov 2017 14:50:26 +0100

makedumpfile (1:1.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New upstream release. Main new feature:
    o Support for sparc64
     - sparc64 is supported from this version, it's tested on kernel-4.1.12.

    o Add new option for --dump-dmesg
     - Introduce the new option "--partial-dmesg", it can exclude the buffers
       cleared by "dmesg --clear" while the current --dump-dmesg always extracts
       the whole ring buffer.

    o Support new kernels
     - The supported kernel is updated to 4.11 in this version.

  * Changelog:
    o New feature
        - [PATCH] Add initial sparc64 support (by Tom Hromatka) 001d9b7
        - [PATCH v5 1/2] Add runtime kaslr offset if it exists (by Pratyush
          Anand) 2bfb7f1
        - [PATCH v5 2/2] x86_64: Calculate page_offset in case of re-filtering/
          sadump/virsh dump (by Pratyush Anand) 4944f93
        - [PATCH v2] Add the --partial-dmesg option to dump only non-cleared
          dmesg (by Ivan Delalande) ec5da81
        - [PATCH v3 1/2] Fold the calc of time delta into a func (by Pingfan
          Liu) 1192446
        - [PATCH v3 2/2] print_info: Show the remaining time of dump progress
          (by Pingfan Liu) 3438e8d

    o Bugfix
        - [PATCH] elf_info.c: fix memory leak in get_kcore_dump_loads() (by
          Pingfan Liu) f10d1e2
        - [PATCH] Error on re-filtering the dump file with no free pages (by
          Mikhail Zaslonko) deb8e1f
        - [PATCH] Fix get_kcore_dump_loads() error case (by Pratyush Anand)
          a569d63
        - [PATCH] sadump: set info->page_size before cache_init() (by Hatayama,
          Daisuke) b98e6e0
        - [PATCH] Fix the use of Xen physical and machine addresses (by Petr
          Tesarik) e765785
        - [PATCH V3] elf_info: Fix file_size if segment is excluded (by Pratyush
          Anand) 88731c7
        - [PATCH v3] Prevent data loss in last page of ELF core dumpfile (by
          Eric DeVolder) 622f0d7
        - [PATCH] Consider not page-size aligned phys_end for paddr_to_pfn() (by
          Atsushi Kumagai) 25259e6
        - [PATCH] Fix the regression caused by moving cache_init() earlier (by
          Atsushi Kumagai) be0461f

    o Cleanup
        - [PATCH 1/4] eppic: Rename scripts to reflect validity of kernel
          version (by Kamalesh Babulal) b55b29f
        - [PATCH 2/4] eppic/vhost_net_buffers: Introduce changes for kernel 3.19
          (by Kamalesh Babulal) 0a1d8ee
        - [PATCH 3/4] eppic/dir_names: Introduce changes for kernel 3.14 (by
          Kamalesh Babulal) 5c822a7
        - [PATCH 4/4] eppic/keyring: Introduce changes for kernel 4.4 (by
          Kamalesh Babulal) 19fe701
        - [PATCH v3 1/7] show_mem_usage(): calculate page offset after elf load
          (by Pratyush Anand) 4b0bed3
        - [PATCH v3 2/7] initial(): call cache_init() a bit early (by Pratyush
          Anand) 8e2834b
        - [PATCH v3 3/7] x86_64: check physical address in PT_LOAD for none
          direct mapped regions (by Pratyush Anand) f136302
        - [PATCH v3 4/7] elf_info: kcore: check for invalid physical address (by
          Pratyush Anand) f4ab689
        - [PATCH v3 5/7] makedumpfile: Correct the calculation of kvaddr in
          set_kcore_vmcoreinfo (by Baoquan He) 4c53423
        - [PATCH v3 6/7] makedumpfile: Discard process_dump_load (by Baoquan He)
          f3ff8c6
        - [PATCH v3 7/7] mem-usage: allow to work only with -f for kernel
          version < 4.11 (by Pratyush Anand) 78cbb40
        - [PATCH] Fix typo in the ERRMSG of function show_mem_usage (by Eric
          Desrochers) ade8512 (Closes: #857051)
        - [PATCH] Fix other typos in messages (by Atsushi Kumagai) b171374
        - [PATCH] Fix compiler warnings (by Eric DeVolder) 04dab93

  * Update debian patches to latest release.

  * Add file to the list of kdump-tools dependencies, it's used by
    kdump-config.

  * Add watch file.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 08 Sep 2017 16:21:35 -0300

makedumpfile (1:1.6.1-2) sid; urgency=medium

  * d/kernel-postinst-generate-initrd : Add scsi_dh_* modules if in
    use so the system can dump a crash when root is on multipath
    (LP: #1635597) (Closes: 862411)

  [ dann frazier ]
  * Select appropriate /etc/default/grub.d/kdump-tools.cfg at build time.
    A side-effect of this is that kdump-tools is no longer Arch: all.
    (Closes: #863858)

 -- Louis Bouchard <louis@ubuntu.com>  Wed, 16 Aug 2017 16:10:01 +0200

makedumpfile (1:1.6.1-1) sid; urgency=medium

  * New upstream release. Main new feature:
    o Support new kernels
     - The supported kernel is updated to 4.8 in this version.

  * Changelog:
    o New feature
        - [PATCH v2] Support _count -> _refcount rename in struct page (by
          Vitaly Kuznetsov) ed46b6a
        - [PATCH 1/8] ppc64: fix vtop page translation for 4K pages (by Hari
          Bathini) cf02f88
        - [PATCH 2/8] ppc64: Use kernel terminology for each level in 4-level
          page table (by Hari Bathini) 37abbe1
        - [PATCH 3/8] ppc64: address changes in kernel v4.5 (by Hari Bathini)
          bc86b61
        - [PATCH 4/8] ppc64: address change in _PAGE_PRESNT flag for PowerISA
          v3.0 (by Hari Bathini) 3003fbe
        - [PATCH 5/8] ppc64: use physical addresses and unfold pud for 64K page
          size (by Hari Bathini) afe7f9f
        - [PATCH 6/8] ppc64: support big endian Linux page tables (by Hari
          Bathini) f3d7cc5
        - [PATCH 7/8] ppc64: use the same masked bit values for 4K and 64K
          pagesizes (by Hari Bathini) 398746a
        - [PATCH 8/8] ppc64: enable address translation support for radix mmu
          (by Hari Bathini) ed65d60
        - [PATCH 01/10] arm64: cleanup code, comment, blank space, blank lines
          etc (by Pratyush Anand) c42c582
        - [PATCH 02/10] read_vmcoreinfo_long: Allow to read hex values as well
          (by Pratyush Anand) b01fa28
        - [PATCH 03/10] Introduce read_vmcoreinfo_ulong() (by Pratyush Anand)
          edc314e
        - [PATCH 04/10] arm64: use already available PAGESIZE() and PAGESHIFT()
          macros (by Pratyush Anand) 48581a7
        - [PATCH 05/10] arm64: fix page_offset definition (by Pratyush Anand)
          a4335c6
        - [PATCH 06/10] arm64: fix re-filtering (by Pratyush Anand) 618b76c
        - [PATCH 07/10] arm64: use value of VA_BITS and PHYS_OFFSET embedded
          into vmcore (by Pratyush Anand) 74df822
        - [PATCH 08/10] arm64: immunize identity mapped address finding w.r.t.
          kernel changes (by Pratyush Anand) a84f726
        - [PATCH 09/10] arm64: Add support for 4level 4K page translations table
          (by Azriel Samson) 969ee30
        - [PATCH 10/10] arm64: fix memory layout as per changes in v4.6 kernel
          (by Pratyush Anand) b6fe70c

    o Bugfix
        - [PATCH 1/2] sadump: fix segmentation fault on sadump-related formats
          (by HATAYAMA Daisuke) 0ba14bc
        - [PATCH 2/2] sadump: fix wrong progress report on sadump formats (by
          HATAYAMA Daisuke) d5d268b
        - [PATCH] Fix module init base and size offset for kernel v4.5 (by
          Guenther Hutzl) 32dd468
        - [PATCH] Fix uninitialized file descriptors for parallel dump (by
          Atsushi Kumagai) 1474dd4
        - [PATCH] x86_64: Set zero to phys_base for the kernel older than 2.6.22
          (by Atsushi Kumagai) 114060b

    o Cleanup
        - [PATCH] Add more descriptions of multi-threads feature (by Zhou
          Wenjian) 2af8d6a
        - [PATCH v2] Cleanup: Use a negative number for uninitialized file
          descriptors (by Petr Tesarik) 8b8fa9f
        - [PATCH v3 1/3] open_dump_bitmap: open bitmap file in non-cyclic case
          (by Martin Wilck) a8d8657
        - [PATCH v3 2/3] move call to open_dump_bitmap() to after call to
          initial() (by Martin Wilck) 3696c40
        - [PATCH v3 3/3] close_dump_bitmap: simplify logic (by Martin Wilck)
          c1c53f8
        - [PATCH v2 1/2] Adapt code to get value of phys_base (by Baoquan He)
          acdbb1d
        - [PATCH V2 1/4] x86_64: Calculate page_offset from pt_load (by Pratyush
          Anand) 0c9dd01
        - [PATCH V2 2/4] x86_64: translate all VA to PA using page table values
          (by Pratyush Anand) c41e33c
        - [PATCH V2 3/4] x86_64: kill is_vmalloc_addr_x86_64() (by Pratyush
          Anand) 8419f4d
        - [PATCH V2 4/4] x86_64: kill some unused initialization (by Pratyush
          Anand) ecb3719
        - [PATCH v2 2/2] Clean up unused KERNEL_IMAGE_SIZE (by Atsushi Kumagai)
          0068010

  * Debian specific changes :
    - d/control:
      Update Vcs-Git field to new URL
      Add lsb-base dependency to kdump-tools to avoid lintian error
    - Fix Readme.Debian :
      Replace nmi_watchdog=1 to nmi_watchdog=panic for x86 and x86_64 arch
      (Closes: 824094)
      Mention Magic SysRq key (Closes: 793753)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 05 Jan 2017 11:07:16 +0100

makedumpfile (1:1.6.0-4) unstable; urgency=medium

  * Turn hardcoded timeo and retrans NFS options into parameters that
    can be modified in /etc/default/kdump-tools. Also use the NFS defaults
    (timeo=600, retrans=3) for these parameters. Make those values visible
    in the 'show' command if NFS is configured (Closes: 847920)

  * Add translation file for :
    [ Chris Leick <c.leick@vollbio.de> ]
    - German (Closes: 842494)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 12 Dec 2016 12:32:29 +0100

makedumpfile (1:1.6.0-3) sid; urgency=medium

  * d/p/0003-PATCH-v2-Support-_count-_refcount-rename-in-struct-p.patch,
    d/p/0004-fix-readpage_elf-attempt-to-read-non-existent-page.patch
    Fix makedumpfile failure on 4.8 kernels.
     - Makedumpfile will exit on error with the following message :
       get_mem_map: Can't distinguish the memory type. (LP: #1626269)
     - Fix readpage_elf: Attempt to read non-existent page errors after
       previous patch is applied (Closes: #842019)

  [ Robert Collins ]
  * Support Hyper-V hypervisors.
    Per https://support.microsoft.com/en-us/kb/2858695 the ata_piix driver
    will attempt to create a second connection to the hypervisor
    while the original kernel is still connected, which fails.(Closes: #824525)

  * Add translation files for :
    [ Adriano Rafael Gomes ]
    - Brazilian Portuguese (Closes: #834935)
    [ Frans Spiesschaert ]
    - Dutch (Closes: #834609)
    [ Jean-Pierre Giraud ]
    - French (Closes: #832006)

  [ Rinat ]
  * Fix double-quote handling in /proc/cmdline
    Parsing of the cmdline would fail if double-quotes are encountered
    in /proc/cmdine (i.e. like when things like "acpi_osi=!Windows 2012"
    are found in the cmdline). (Closes: #835600)

  * Raise debian compatibility level to 9
  * Fix spelling error in debian/control

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 07 Nov 2016 11:56:10 +0100

makedumpfile (1:1.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import fixes from ubuntu
  * Remove hugepages/hugepagesz from kdump's cmdline. (LP: #1634132)
    - Chris J Arges <chris.j.arges@ubuntu.com>
  * Build on arm64. LP: #1238110, Closes: 791963
    - <doko@ubuntu.com>

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 28 Oct 2016 16:06:52 +0300

makedumpfile (1:1.6.0-2) sid; urgency=medium

  * define_stampdir() : Loop on hostname -I for 5 sec to get IP address
    if HOSTTAG=ip. The network stack may not be ready when kdump-config runs.
    Give it some time before reverting HOSTTAG to hostname if an IP address
    cannot be found. (LP: #1599561)

  * debian/rules : drop the dh_installinit override
    Uses a syntax which is no longer supported and generate an error on
    install. (LP: #1599491)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 15 Jul 2016 17:25:33 +0200

makedumpfile (1:1.6.0-1) sid; urgency=medium

  * New upstream version includes :
    o Exclude page structures of non-dumped pages
     - Add the new option "-e" to exclude the page structures which correspond
       to excluded pages. This option will bring a great performance, but it
       will harm analyticity a little bit. Please see the note below:

       NOTE: If you specify this option, crash will show the message below
             and the 'kmem' command will not work.

           This dumpfile is incomplete because the page structures associated
           with excluded pages may also be excluded.  This may cause the crash
           session to fail entirely, may cause commands to fail (most notably
           the "kmem" command), or may result in unpredictable runtime behavior.

       Now this option supports only x86_64.

    o Support new kernels
     - The supported kernel is updated to 4.5 in this version.

    Changelog:
    o New feature
        - [PATCH V7] Exclude page structures of non-dumped pages. (by Cliff
          Wickman) 46176a9
        - [PATCH 1/4] ARM64: Refactor code to support multiple page level. (by
          Pratyush Anand) 28a4729
        - [PATCH 2/4] ARM64: Decide VA Bits on the basis of _stext symbol value.
          (by Pratyush Anand) a93301d
        - [PATCH 3/4] ARM64: Fix KVBASE. (by Pratyush Anand) ec85257
        - [PATCH 4/4] ARM64: Fix for ARM64 3 level translation tables. (by
          Sameer Goel) c92a63d

    o Bugfix
        - [PATCH] Fix bitmap buffer release code. (by Atsushi Kumagai) 7556e69
        - [PATCH 1/3] Keep segment memory size when re-filtering ELF dumps (by
          Petr Tesarik) 606fe8c
        - [PATCH 2/3] Mark unstored ELF pages as filtered (by Petr Tesarik)
          1cdabcd
        - [PATCH 3/3] Rewrite readpage_elf (by Petr Tesarik) 7a7cebc
        - [PATCH] Looking for page.compound_order/compound_dtor to exclude
          hugepages (by Atsushi Kumagai) 5bc1f52
        - [PATCH] Skip examining compound tail pages (by Atsushi Kumagai)
          13b4233
        - [PATCH] arm64: fix two level pmd calculation (by Pratyush Anand)
          6759c72
        - [PATCH] Fix module core base and size offset for kernel v4.5 (by
          Pratyush Anand) fa6a75a
        - [PATCH] Fix deleted macro by mistake for ia64 (by Atsushi Kumagai)
          cfe652e
        - [PATCH] Fix boundary value bug for checking memory holes (by Atsushi
          Kumagai) 11a6dae
        - [PATCH] Skip null entries to walk page tables correctly (by Atsushi
          Kumagai) ecf7a13
        - [PATCH] Fix read data corruption for multi thread feature. (by Atsushi
          Kumagai) ae848e8

    o Cleanup
        - [PATCH] Remove useless definitions of return value. (by Atsushi
          Kumagai) 3d32567
        - [PATCH] Clean up the in-accurate message printing about mmap (by
          Baoquan He) 2b8c001
        - [PATCH v8] Improve the performance of --num-threads -d 31 (by Zhou
          Wenjian) dfa2447
        - [PATCH] Fix compilation warning (by Pratyush Anand) 7dda810
        - [PATCH] Fix compilation warnings for x86_64 (by Atsushi Kumagai)
          27b5fb5
        - [PATCH] Fix man page to add -p option (by Atsushi Kumagai) e444aad
        - [PATCH] Fix compilation warning (by Andrey Skvortsov) 484c6b1

  * Debian specific enhancements :
    [kdump-tools] Add missing unit to crashkernel parameter
    [d/p/0001-Remove-libebl-linkage.patch] Adapt to new upstream vers.

  * Debian specific modifications dropped :
    d/p/0003-support-kernel-4.2.patch] Fixed upstream

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 10 Jun 2016 11:33:13 +0200

makedumpfile (1:1.5.9-7) sid; urgency=medium

  * [d/rules] Lower kexec-tools dependency to -2
      The ubuntu merge will happen on an 1:2.0.10-2 version so it cannot
      depends on -3.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 31 May 2016 14:36:07 +0200

makedumpfile (1:1.5.9-6) sid; urgency=medium

  * [ Juerg Haefliger <juerg.haefliger@hp.com> ]

    Limit the number of dumps kept on the local machine

    Introduce a new config variable KDUMP_NUM_DUMPS that specifies how
    many dumps should be kept on the machine. This can be use to prevent
    running out of disk space. It is ignored if remote dumping (ssh or nfs)
    is enabled. If there are too many dump files, older dumps are purged but
    only after the current dump operation succeeded.

  * [ Linn Crosetto <linn@hp.com> ]

    kdump-config: add support for UEFI Secure Boot

    kdump-config needs to query the state of UEFI Secure Boot in order to correctly
    use kexec to boot the crash kernel. Specifically, kexec needs the "-s" option
    to use the kexec_file_load system call to validate the image before loading it.
    (Closes: #823003)

  * [Hari Bathini <hbathini@linux.vnet.ibm.com>]

    Fix networked kdump failure to reach remote server. Avoids
    "Network is unreachable" message when trying to do remote dumps on either
    SSH or NFS. (LP: #1571590)

  * Add support for architecture-specific crashkernel param

    On Debian, the crashkernel boot parameter is left undefined. On Ubuntu
    it was defined in the kexec-tools package, modified specifically.

    This parameter is now defined by the kdump-tools package and uses an
    architecture-specific file containing the definition. A generic symlink
    called /etc/default/grub.d/kdump-tools.cfg points to the architecture
    specific file.

    The default values are :

     - All but ppc64el : 128M
     - ppc64el :
       2G-4G:320M,4G-32G:512M,32G-64G:1024M,64G-128G:2048M,128G-:4096M@32M

    (LP: #1567539)
    On s390x architecture, the crashkernel parameter is added to the
    /etc/zipl.conf file.

    /etc/default/kdump-tools is also modified to use the cio_ignore parameter
    when kexec loads the crash kernel (LP: #1570775)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 26 May 2016 15:28:43 +0200

makedumpfile (1:1.5.9-5) sid; urgency=medium

  [ Hendrik Brueckner ]
  * Build makedumpfile for s390x (Closes: #710674)
  * Enable LZO compression for makedumpfile

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 10 Feb 2016 10:14:37 +0100

makedumpfile (1:1.5.9-4) sid; urgency=medium

  * Allow for symlinks to be created for vmlinux files : On Power8
    architecture, systems are booting from a vmlinux file. The symlink
    /var/lib/kdump/vmlinuz has to point to this file.  (LP: #1536904)

  * Add functionality to create symlinks for older kernels : If kdump
    is installed on systems with more than one kernel package, the smaller
    initrd.img file will only be created for the latest kernel. Adding the
    'symlinks' functionality will allow for the creation of symlinks to
    older kernels. If the smaller initrd.img file is missing in /var/lib/kdump
    it will be created beforehand.  This will be preempted if kdump is already
    loaded. (LP: #1537714)

  * Fix kdump-config manpage : add documentation for the propagate option.
    (LP: #1538148)

  * Improve manpage for kdump-config

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 26 Jan 2016 15:30:48 +0100

makedumpfile (1:1.5.9-3) sid; urgency=medium

  * debian/patches/0003-support-kernel-4.2.patch :
    Fix packaging AGAIN so the patch is correctly applied.
    Previous upload missed it somehow.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 09 Dec 2015 15:53:54 +0100

makedumpfile (1:1.5.9-2) sid; urgency=medium

  * debian/patches/0003-support-kernel-4.2.patch :
    Fix packaging error so the patch is correctly applied

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 07 Dec 2015 15:58:42 +0100

makedumpfile (1:1.5.9-1) sid; urgency=medium

  * New upstream version includes :
    o Parallel compression
     - Add the new option "--num-threads" to enable parallel compression
       for faster processing. This option intends parallel compression
       while --split intends parallel i/o, they try to solve different
       bottlenecks.

    o Change the way to choose the non-cyclic mode
     - Add the new option "--work-dir" to specify the directory used to
       store the bitmap. This is the alternative to the combination of
       --non-cyclic and TMPDIR.

    o Support new kernels
     - The supported kernel is updated to 4.2 in this version.

    Changelog:
    o New feature
        - [PATCH] Support ARM64. (by Pratyush Anand) 94d47d1
        - [PATCH 1/2] Enable compressed dump formats for Xen. (by Petr Tesarik)
          349a0ed
        - [PATCH 2/2] Remove notes about ELF being the only available format for
          Xen dumps. (by Petr Tesarik) 5cab480
        - [PATCH v5 01/10] Add readpage_kdump_compressed_parallel. (by Qiao
          Nuohan) 5fab021
        - [PATCH v5 02/10] Add mappage_elf_parallel. (by Qiao Nuohan) edca232
        - [PATCH v5 03/10] Add readpage_elf_parallel. (by Qiao Nuohan) 7f15b41
        - [PATCH v5 04/10] Add read_pfn_parallel. (by Qiao Nuohan) a7243fe
        - [PATCH v5 05/10] Add function to initial bitmap for parallel use. (by
          Qiao Nuohan) 56a6bc4
        - [PATCH v5 06/10] Add filter_data_buffer_parallel. (by Qiao Nuohan)
          2a7cb9f
        - [PATCH v5 07/10] Add write_kdump_pages_parallel to allow parallel
          process. (by Qiao Nuohan) c2595d9
        - [PATCH v5 08/10] Initial and free data used for parallel process. (by
          Qiao Nuohan) 4538848
        - [PATCH v5 09/10] Make makedumpfile available to read and compress
          pages parallelly. (by Qiao Nuohan) b265102
        - [PATCH v5 10/10] Add usage and manual about multiple threads process.
          (by Qiao Nuohan) b18a8a6

    o Bugfix
        - [PATCH] Correct vmap_area_list support for i386 and ppc32. (by Atsushi
          Kumagai) 4194d7b
        - [PATCH] Free pages aren't removed in non-cyclic mode. (by Atsushi
          Kumagai) d64cf7f
        - [PATCH v2] Fix a bug in generating incomplete kdump core. (by Zhou
          Wenjian) 9cee495
        - [PATCH] Remove the double free of sph. (by Chao Fan) 72dec41
        - [PATCH 1/2] sadump: Change bit order. (by HATAYAMA Daisuke) 5f15256
        - [PATCH 2/2] sadump: Perform explicit zero page filtering. (by HATAYAMA
          Daisuke) 19b3a91

    o Cleanup
        - [PATCH 01/13] Organize bitmap structure for cyclic logic. (by Atsushi
          Kumagai) 5fc24bf
        - [PATCH 02/13] Add option to specify working directory for the bitmap.
          (by Atsushi Kumagai) 5c5a8b8
        - [PATCH 03/13] Integrate the entry point of is_dumpable(). (by Atsushi
          Kumagai) 5c8c680
        - [PATCH 04/13] Integrate the main logic of writing kdump file. (by
          Atsushi Kumagai) d18796d
        - [PATCH 05/13] Communalize the function for creating 1st bitmap. (by
          Atsushi Kumagai) b00a7b0
        - [PATCH 06/13] Remove the old logic of writing kdump pages. (by Atsushi
          Kumagai) 4d55542
        - [PATCH 07/13] Integrate filtering process for ELF path. (by Atsushi
          Kumagai) 679a818
        - [PATCH 08/13] Remove the old logic of writing ELF pages. (by Atsushi
          Kumagai) 672354b
        - [PATCH 09/13] Adjust --mem-usage path to the new code. (by Atsushi
          Kumagai) 57153b0
        - [PATCH 10/13] Adjust --split/--reassemble path to the new code. (by
          Atsushi Kumagai) 95435de
        - [PATCH 11/13] Adjust refiltering path to the new code. (by Atsushi
          Kumagai) c7fb41c
        - [PATCH 12/13] Adjust sadump path to the new code. (by Atsushi Kumagai)
          edd2bf2
        - [PATCH 13/13] Remove --non-cyclic option. (by Atsushi Kumagai) a117ae9
        - [PATCH] Optimise the function reserve_diskspace. (by Zhou Wenjian)
          3605073
        - [PATCH v2] Add description of pages lost by ENOSPACE in
          IMPLEMENTATION. (by Zhou Wenjian) 0e20f33
        - [PATCH 1/2] Enable compressed dump formats for Xen. (by Petr Tesarik)
          349a0ed
        - [PATCH 2/2] Remove notes about ELF being the only available format for
          Xen dumps. (by Petr Tesarik) 5cab480
        - [PATCH v2] Code changes to satisfy the coverity scan. (by Chao Fan)
          0c65e38
        - [PATCH] Improve performance for parallel compression with zlib. (by
          Atsushi Kumagai) 3ef6629

  * Debian specific enhancements :

    - kdump-tools now make use of smaller initrd.img files created in
    /var/lib/kdump. This avoid optential OOM when the size of the initrd.img
    becomes larger (LP: #1496317).  Implementation details are :

      o New kernel hooks are added to create smaller initrd.img files when new
        kernel packages are installed :
          /etc/kernel/postrm.d/kdump-tools
          /etc/kernel/postinst.d/kdump-tools

      o kdump-config is responsible for the maintenance of symbolic links used
        to point to the appropriate vmlinuz & initrd files. Link maintenance
        is done at each boot by kdump-config. New links will point to the
        files named after the running kernel.

      o The KDUMP_KERNEL and KDUMP_INITRD configuration variables are now
        now enabled and use the symbolic links :
          /var/lib/kdump/vmlinuz
          /var/lib/kdump/initrd.img

      o kdump-config has been adapted to show the symbolic link information

    - kdump-tools is now enabled by default.  When installed a prompt will
      propose to override the default value.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 24 Nov 2015 12:38:06 +0100

makedumpfile (1:1.5.8-4) sid; urgency=medium

  * Add cherry-pick of commits b859e0a, f1cea98, 3cc296c, 70ce1a2,
    0423186 and 9e18e42 that were missed between 1.5.7-5 and 1.5.8-1
    (Closes: #793485)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 27 Jul 2015 16:23:48 +0200

makedumpfile (1:1.5.8-3) sid; urgency=medium

  * Makes sysVinit script execution contitional to the
    use of upstart. Closes: 789058

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 17 Jun 2015 15:10:42 +0200

makedumpfile (1:1.5.8-2) sid; urgency=medium

  * Add upstart job for systems supporting upstart
   Closes: 788313

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 09 Jun 2015 11:11:02 +0200

makedumpfile (1:1.5.8-1) sid; urgency=medium

  * New upstream version includes :
    o Fair I/O workload assignment for --split
    - Add the new option "--splitblock-size" to specify the permissible
      difference of each splitted dumpfile size. Please note that the
      difference can be larger than the specified size since this feature
      doesn't care about zero page filtering.

    o Make incomplete dumpfile readable
    - DUMP_DH_COMPRESSED_INCOMPLETE or DUMP_ELF_INCOMPLETE flag will be set
      in the header of dumpfiles if ENOSPC occurs. The flags make crash utility
      attempt analyzing the dumpfile even it is known to be incomplete.

    o Support new kernels
    - The supported kernel is updated to 3.19 in this version.

    Changelog:
    o New feature
         - [PATCH v2] Get MODULES_VADDR by KERNEL_IMAGE_SIZE for x86_64.
           (by Baoquan He) 56649f7
         - [PATCH v4 1/4] Make get_elf64_phdr()/get_elf32_phdr() public.
           (by Wang Xiao) 3182be9
         - [PATCH v4 2/4] Make the incomplete dumpfile generated by ENOSPC
           error analyzable.
           (by Wang Xiao) e39216f
         - [PATCH v4 3/4] Implementation of dealing with kdump-compressed
           dumpfile with ENOSPC error. (by Wang Xiao) 76025d3
         - [PATCH v4 4/4] Fix reassemble_kdump_header().
           (by Zhou Wenjian) 45a1885
         - [PATCH v3] Enable --mem-usage for s390x.
           (by Michael Holzheu) 2e452d7
         - [PATCH v5 1/5] Add support for splitblock.
           (by Zhou Wenjian) c7825d4
         - [PATCH v5 2/5] Add tools for reading and writing from splitblock
           table.  (by Zhou Wenjian) 11dcbfe
         - [PATCH v5 3/5] Add module of generating table.
           (by Zhou Wenjian) 28e367c
         - [PATCH v5 4/5] Add module of calculating start_pfn and end_pfn in
           each dumpfile.
           (by Zhou Wenjian) 2b74c02
         - [PATCH v5 5/5] Add support for --splitblock-size.
           (by Zhou Wenjian) 3352179
         - [PATCH] sadump: Support more than 16TB physical memory space.
           (by HATAYAMA Daisuke) 37afcd5

     o Bugfix
         - [PATCH] Use file offset in initialize_mmap().
           (by Petr Tesarik) f822608

     o Cleanup
         - [PATCH] Initialize symbols early for old kernels.
           (by Atsushi Kumagai) 99850a1
         - [PATCH v2] Introduce stub method for machine dependent parts.
           (by Atsushi Kumagai) bf0bbf9
         - [PATCH] Read vmcoreinfo as early as possible.
           (by Atsushi Kumagai) 21631da
         - [PATCH] Bring get_kcore_dump_loads() backward.
           (by Atsushi Kumagai) c1d9e15
         - [PATCH 1/2] Add description of elf dump file.
           (by Zhou Wenjian) 4074bb6
         - [PATCH 2/2] Add description of incomplete dump file.
           (by Zhou Wenjian) b343067
         - [PATCH] Cleanup: Add some comments for ELF format.
           (by Atsushi Kumagai) 4a59bd6
         - [PATCH 1/2] Modify the description of the dump level.
           (by Atsushi Kumagai) 3599df6
         - [PATCH 2/2] Change the part of the pfn counter for page cache.
           (by Atsushi Kumagai) 7b55569
         - [PATCH v3 1/7] cache: get rid of search loop in cache_add().
           (by Petr Tesarik) e068ea2
         - [PATCH v3 2/7] cache: allow to return a page to the pool.
           (by Petr Tesarik) f2b30c6
         - [PATCH v3 3/7] cache: do not allocate from the pending list.
           (by Petr Tesarik) ff592e6
         - [PATCH v3 4/7] cache: add hit/miss statistics to the final report.
           (by Petr Tesarik) 7405a60
         - [PATCH v3 5/7] cache: allocate buffers in one big chunk.
           (by Petr Tesarik) 65899d0
         - [PATCH v3 6/7] cache: allow arbitrary size of cache entries.
           (by Petr Tesarik) 5881f23
         - [PATCH v3 7/7] cache: store mapped regions directly in the cache.
           (by Petr Tesarik) 1acd75f
         - [PATCH] Update email addresses of mainteners.
           (by Atsushi Kumagai) febff05

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 28 Apr 2015 11:38:27 +0200

makedumpfile (1:1.5.7-4) experimental; urgency=medium

  * Enable kdump-tools to work as a systemd service

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 04 Dec 2014 17:45:43 +0100

makedumpfile (1.5.7-3) unstable; urgency=medium

  [Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>]
  * Add possibility to find vmlinux for ppc64el arch
    Closes: #763688

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 14 Nov 2014 15:56:15 +0100

makedumpfile (1.5.7-2) unstable; urgency=medium

  [Lee Schermerhorn]
  * Add '-F' [flatten] to makedumpefile args for remote kdump vi ssh.
    Closes: #768317

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 10 Nov 2014 16:51:04 +0100

makedumpfile (1.5.7-1) unstable; urgency=medium

  * New upstream version includes :
    - Show the memory usage of 1st kernel : Add the new option
      "--mem-usage" to show the memory usage at a given moment
      in 1st kernel. This will be helpful to estimate the
      appropriate storage size to store a filtered dumpfile,
      thanks Baoquan.

    -  hugepage filtering : Both THPs and hugetlbfs pages are now
       excluded as user pages.  As for hugetlbfs, this feature
       will be enabled for linux-3.16 or later.

    -  Support new kernels
       The supported kernel is updated to 3.16 in this version.

  * Debian specific enhancements :
    - Networked kernel dumps
      The kdump-tools script is now able to send the output of
      makedumpfile to a remote server using either SSH or NFS
      protocols.
    - Add myself as the new maintainer

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 18 Sep 2014 13:21:55 +0200

makedumpfile (1.5.6-2) unstable; urgency=medium

  * [ Juerg Haefliger <juerg.haefliger@hp.com> ]
    Make the dumping of dmesg configurable

    Dumping the dmesg buffer has shown to be problematic when kernels
    change. This patch introduces a new config variable that can turn
    the dmesg dump off.  The default behaviour unchanged, i.e., the
    dmesg buffer is dumped.
    Closes: 747173

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 23 May 2014 12:33:24 +0200

makedumpfile (1.5.6-1) unstable; urgency=medium

  [ Louis Bouchard ]
  * New upstream version

  * Add x32 armel armhf and ppa64el to Achitecture to close the delta with
    Ubuntu

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 29 Apr 2014 16:07:03 +0200

makedumpfile (1.5.5-2) unstable; urgency=low

  * Drop debug kernel requirement from kdump-config

    [Konstantin Khlebnikov]
    Starting from 2.6.24 kernel provides vmcoreinfo right in vmcore,
    so makedumpfile can produce filtered dumps without vmlinux or slecial vmcoreinfo.
    Closes: #638849

  * debian/kdump-config : Define Timestamp only once in variable and reuse

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 15 Jan 2014 10:29:34 +0100

makedumpfile (1.5.5-1) unstable; urgency=low

  [ Louis Bouchard ]
  * New upstream version
    - Reworked debian/patches to use DEP3
    - Use install statement from upstream Makefile

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 19 Dec 2013 11:31:10 +0100

makedumpfile (1.5.4-1) unstable; urgency=low

  [Louis Bouchard]
  * New upstream version

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 16 Jul 2013 16:05:09 +0200

makedumpfile (1.5.3-1) unstable; urgency=low

  [ Louis Bouchard ]
  * New upstream version
    - Drop 0003-PATCH-dump-dmesg-fix-for-post-3.5-kernels.patch
      (included upstream)
    - Rebase 0002-Use-install-instead-of-cp-in-Makefile.patch

 -- John Wright <jsw@debian.org>  Sun, 31 Mar 2013 20:45:37 -0700

makedumpfile (1.5.1-1) unstable; urgency=low

  * Merge of new upstream version 1.5.1
  * Add --dmesg-fix from upstream 1.5.2 for kernels 3.5
    and above
  * Add creation of /var/crash/dmesg.{timestamp} by kdump-config

 -- Louis Bouchard <louis.bouchard@canonical.com>  Tue, 05 Feb 2013 09:55:43 +0100

makedumpfile (1.5.0-1) unstable; urgency=low

  * New upstream version 1.5.0

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 17 Sep 2012 15:55:39 +0200

makedumpfile (1.4.4-1) unstable; urgency=low

  * New upstream version

 -- John Wright <jsw@debian.org>  Mon, 16 Jul 2012 04:01:21 -0600

makedumpfile (1.4.3-1) unstable; urgency=low

  [ Louis Bouchard ]
  * Update packaging for upstream version 1.4.3

  [ John Wright ]
  * Add Louis Bouchard to Uploaders.  Thanks!

 -- John Wright <jsw@debian.org>  Sun, 10 Jun 2012 00:34:07 -0700

makedumpfile (1.4.0-1) unstable; urgency=low

  * New upstream version
  * Drop makedumpfile-static package, since makedumpfile depends on
    libebl, which is no longer available statically, and nobody is
    depending on makedumpfile-static anyway

 -- John Wright <jsw@debian.org>  Sun, 22 Jan 2012 16:49:51 -0800

makedumpfile (1.3.7-2) unstable; urgency=low

  * Cherry-pick upstream commits:
    - [PATCH] BUGFIX: Avoid SIGSEGV when specifying -V option.
      (5b8c2da75cbdb230019a3b956793fb768055b977)
    - [PATCH] Copy correct nr_cpus info to dumpfile during re-filtering.
      (c4f1c98a9827c1c0e41772c1954940fbf1b48048)
  * kdump-tools.init: Don't exit with failure status except for bad
    usage.  This way, even if /etc/default/kdump-tools has USE_KDUMP=1
    but the kernel command line or debug kernels are not set up,
    installation of a new version of the package will not leave it
    unconfigured.  (Closes: #623470)

 -- John Wright <jsw@debian.org>  Tue, 26 Apr 2011 20:05:16 -0700

makedumpfile (1.3.7-1) unstable; urgency=low

  [ John Wright ]
  * New upstream version
  * kdump-config: Clean up kernel command-line argument stripping
  * kdump-tools.init: Remove a stray "$" in the usage statement
    (Closes: #581116)

  [ dave medberry ]
  * kdump-config: Convert 3 log_failure_msg to a log_warning_msg
    (Closes: #594411)

 -- John Wright <jsw@debian.org>  Sun, 17 Apr 2011 21:03:04 -0700

makedumpfile (1.3.5-1) unstable; urgency=low

  * New upstream version
  * Preserve upstream's original makedumpfile.8 in clean target
  * kdump-config: Fix a typo
  * Switch to the "3.0 (quilt)" source format
    - Remove unneeded Build-Depends on quilt
  * Update kdump-tools.README.Debian to reflect that recent kernels
    don't need a crash kernel start address
  * Apply patch from Petter Reinholdtsen to fix incorrect dependencies
    in kdump-tools.init (Closes: #569685)
  * Indicate support for Linux 2.6.32
    - Although upstream hasn't updated its LATEST_VERSION macro, this
      version works without modification on Linux 2.6.32.  Squelch a
      warning that a 2.6.32 kernel is not supported.
  * Backport upstream commit 4a16bd39866093f4949f8e9dc183fa2321bda22d
    - Fix buffer overflow when writing dh->signature

 -- John Wright <jsw@debian.org>  Wed, 03 Mar 2010 17:17:35 -0700

makedumpfile (1.3.4-1) unstable; urgency=low

  * New upstream version.
    - Remove debian/patches/02-Add_x86_64_linux-2.6.31.patch - already
      included upstream
  * Upload to Debian. Changes from Ubuntu:
    - Switch to quilt from dpatch
    - Set myself as the maintainer
    - Don't ignore make clean errors
    - Update to debhelper compatibility level 7 and simplify the rules
      file by using dh
    - Install the manpage with maximum compression
    - Update Standards-Version to 3.8.2, adding a README.source
      explaining the quilt patch setup
    - Add ${perl:Depends} to Depends, since we ship a perl script
    - Add Vcs-Git and Vcs-Browser fields to debian/control
    - Clarify the copyright description
    - Provide a dynamically linked binary in the makedumpfile package,
      and a static binary in the makedumpfile-static package
      - Add lintian overrides relating to makedumpfile-static being
        statically linked
    - Remove unused Build-Depends on zip
    - Build a kdump-tools package that includes an init script and tools
      to configure kdump

 -- John Wright <jsw@debian.org>  Thu, 12 Nov 2009 19:03:18 -0700

makedumpfile (1.3.3-0ubuntu4) karmic; urgency=low

  * debian/patches/02-Add_x86_64_linux-2.6.31.patch:
    - apply patch by Ken'ichi Ohmichi to support 2.6.31 on
      amd64 (kernel memory layout changed)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Jul 2009 09:18:33 +0200

makedumpfile (1.3.3-0ubuntu3) karmic; urgency=low

  * debian/rules, debian/control:
    - add dpatch
  * debian/patches/01_fix_makefile:
    - fix make install target

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 13:14:10 +0200

makedumpfile (1.3.3-0ubuntu2) karmic; urgency=low

  * fix FTBFS due to missing man dir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Jun 2009 09:21:08 +0200

makedumpfile (1.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * depends on latest libdw-dev (the previous version does
    not ship the required static lib)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 16:19:42 +0200

makedumpfile (1.2.9-0ubuntu3) intrepid; urgency=low

  * Add missing build dependency "zip" to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Oct 2008 15:11:25 +0200

makedumpfile (1.2.9-0ubuntu2) intrepid; urgency=low

  * Corrected FTBFS caused by a mistake in the makefile

 -- Michael Casadevall <sonicmctails@gmail.com>  Mon, 06 Oct 2008 02:01:26 -0400

makedumpfile (1.2.9-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #271956)
  * Support ia64 discontigmem kernels of linux-2.6.20+.
  * Support x86_64 linux-2.6.27 kernel.
  * Add "--vtop" option for debugging.
  * Add the debugging message for ia64 pgtable.
  * Get information from vmcoreinfo of /proc/vmcore even if -x/-i option.
  * Add free() for error handling.
  * Fix NOT_FOUND value of SIZE(nodemask_t).
  * Use the terminal sizes of 80 for the IMPLEMENTATION file. (Bernhard Walle)
  * Use static allocation instead of malloc().
  * Add get_num_dumpable() function.
  * Remove the unused pointer.
  * Remove the unused code.
  * Make the ELF methods simple.
  * Merge the same code in write_elf_pages().
  * Add "void" to some arguments.
  * Separate the dependency code to machine and linux version.
  * Cleanup vaddr_to_paddr() function.

 -- Kevin Worth <kworth@gmail.com>  Thu, 18 Sep 2008 10:34:45 -0700

makedumpfile (1.2.6-0ubuntu3) intrepid; urgency=low

  * Added lpia to architectures.

 -- Ben Collins <ben.collins@canonical.com>  Tue, 08 Jul 2008 10:51:37 -0400

makedumpfile (1.2.6-0ubuntu2) intrepid; urgency=low

  * Get rid of prerm and postinst from packaging, they were empty.
  * Added copyright for packaging.
  * Added copyright for ppc64.c to debian/copyright
  * Check return value of read(), gets rid of warnings.

 -- Ben Collins <ben.collins@canonical.com>  Wed, 02 Jul 2008 09:18:36 -0400

makedumpfile (1.2.6-0ubuntu1) intrepid; urgency=low

  * Initial release
  * Use _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE instead of
    _FILE_OFFSET_BITS=64 for correct compilation.
  * Added initramfs hook to install makedumpfile into initrd

 -- Ben Collins <ben.collins@canonical.com>  Wed, 18 Jun 2008 18:15:32 -0400
